%
% Test functors (they had better work!) and nesting them.
%
clear(interactive_mode).
set(insert_mode).

% We start out easy
my_f1(5).
?my_f1(A).

% Now a little nesting
my_f2( a(b( c(d(e(2, f(m,t,v(u(r,cool)),5) )), 7.7) )) ).  
?my_f2(B).

% Try a few builtin functor operations
?functor( a(5,b(2,3),7), C).
?arg( 2, a(5,b(2,3),7), D).
?univ( a(5,b(2,3),7), E).

call( insert(my_f1(16)) ).
?my_f1(F).

?is_functor( a(2) ), printf("a(2) is a functor.\n").

% These two should fail
?is_list( a(2) ), printf("a(2) is a list.\n").
?is_string( a(2) ), printf("a(2) is a string.\n").

quit.
