
/* A simple test program to check that the use of functors in the
   head of rules works alright.  Note that this program cannot
   be used as "ff", as there is an infinite number of answers. */
   
module state.
  export state[bf].

  state(e1,q1).
  state(e1,q2).

  state(compose(SA,SB), pair(Q1,Q2)) :- state(SA, Q1), state(SB, Q2).

end_module.


/*

 Example queries:

 ?state( compose(e1,e1), M).
 ?state( compose(e1,compose(e1,e1)), M).

*/

