#include "RdbQueryVersions.h"


RdbQuery& RdbQueryVersions::Lookup( BitVector& adorn )
{
    for( int i = 0 ; i < queryList.Size() ; i++ ) {
	if( queryList[i]->Adornment() == adorn )
	  return *queryList[i];
    }
    // a query with this adornment does not exist, create it.
    RdbQuery* sel = join.NewQuery(adorn);
    queryList.Append(sel);
    return *sel;
}

