%
% Test lists and nesting them.
%
clear(interactive_mode).
set(insert_mode).

% We start out easy
my_f1([a,b,2]).
?my_f1(A).

% Now a little nesting
my_f2( [2,[3,[4,[5,k,5.2],6.2],7.2],8.2] ).  
my_f2( [[[[1]]]] ).  
my_f2( [0 | [ 1 | [2]]] ).  
my_f2( [[nil]] ).  
?my_f2(B).

% Try a few builtin list operations

?is_list( [] ), printf("[] is a list.\n").
?is_list( nil ), printf("nil is a list.\n").
?is_list( [a,b(2),[5]] ), printf("[a,b(2),[5]] is a list.\n").
? [] = nil, printf("[] = nil.\n").
? [2,5] = nil, printf("[2,5] = nil.\n").

% These should fail
?is_functor( [1,2,3] ), printf("[1,2,3] is a functor.\n").
?is_string( [1,2,3] ), printf("[1,2,3] is a string.\n").
?is_list( 5 ), printf("5 is a list.\n").

quit.
